Package com.io7m.cardant.client.basic

# Class CAClients

java.lang.Object
com.io7m.cardant.client.basic.CAClients

All Implemented Interfaces:
  `CAClientFactoryType`, `com.io7m.hibiscus.api.HBClientAsynchronousFactoryType<CAClientException,CAClientConfiguration,CAICommandType<?>,CAIResponseType,CAIResponseType,CAIResponseError,CAClientEventType,CAClientCredentials,CAClientAsynchronousType>`, `com.io7m.hibiscus.api.HBClientFactoryType<CAClientException,CAClientConfiguration,CAICommandType<?>,CAIResponseType,CAIResponseType,CAIResponseError,CAClientEventType,CAClientCredentials,CAClientAsynchronousType,CAClientSynchronousType>`, `com.io7m.hibiscus.api.HBClientSynchronousFactoryType<CAClientException,CAClientConfiguration,CAICommandType<?>,CAIResponseType,CAIResponseType,CAIResponseError,CAClientEventType,CAClientCredentials,CAClientSynchronousType>`, `com.io7m.repetoir.core.RPServiceType`

public final class CAClients extends Object implements CAClientFactoryType
The default client factory.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAClients()`
  The default client factory.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `description()`
  `CAClientAsynchronousType`
  `openAsynchronousClient(CAClientConfiguration configuration)`
  `CAClientSynchronousType`
  `openSynchronousClient(CAClientConfiguration configuration)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAClients

    public CAClients()
    The default client factory.

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### description

    public String description()
    Specified by:
      `description` in interface `com.io7m.repetoir.core.RPServiceType`

  - ### openAsynchronousClient

    public CAClientAsynchronousType openAsynchronousClient(CAClientConfiguration configuration) throws CAClientException
    Specified by:
      `openAsynchronousClient` in interface `com.io7m.hibiscus.api.HBClientAsynchronousFactoryType<CAClientException,CAClientConfiguration,CAICommandType<?>,CAIResponseType,CAIResponseType,CAIResponseError,CAClientEventType,CAClientCredentials,CAClientAsynchronousType>`
    Throws:
      `CAClientException`

  - ### openSynchronousClient

    public CAClientSynchronousType openSynchronousClient(CAClientConfiguration configuration) throws CAClientException
    Specified by:
      `openSynchronousClient` in interface `com.io7m.hibiscus.api.HBClientSynchronousFactoryType<CAClientException,CAClientConfiguration,CAICommandType<?>,CAIResponseType,CAIResponseType,CAIResponseError,CAClientEventType,CAClientCredentials,CAClientSynchronousType>`
    Throws:
      `CAClientException`